<?php get_header(); ?>

<div id="post-entry">

<?php if (have_posts()) : ?>

<?php locate_template (array('/lib/templates/wp-template/headline.php'), true); ?>

<?php while (have_posts()) : the_post(); ?>

<div <?php if(function_exists("post_class")) : ?><?php post_class(); ?><?php else: ?>class="post"<?php endif; ?> id="post-<?php the_ID(); ?>">

<h1 class="post-title"><?php the_title(); ?></h1>

<?php $postmeta_status = get_option('tn_wpmu_postmeta_status'); if ($postmeta_status != 'disable') { ?>
<div class="post-author"><?php _e('Posted by', TEMPLATE_DOMAIN); ?>&nbsp;<?php the_author_posts_link(); ?>&nbsp;<?php _e('on', TEMPLATE_DOMAIN); ?>&nbsp;<?php the_time('l, F jS Y') ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php edit_post_link(__('edit', TEMPLATE_DOMAIN)); ?></div>
<?php } ?>

<div class="post-content">
<?php $facebook_like_status = get_option('tn_wpmu_facebook_like_status'); if ($facebook_like_status == 'enable') { ?>
<div class="fb-like" data-href="<?php echo esc_attr(get_permalink($post->ID)); ?>" data-send="false" data-width="450" data-show-faces="false" style="margin-bottom: 6px;"></div>
<?php } ?>
<?php the_content(__('<p>Read the rest of this entry &raquo;</p>', TEMPLATE_DOMAIN)); ?>
</div>

<?php include ( TEMPLATEPATH . '/lib/includes/social.php'); ?>

</div>

<?php endwhile; ?>

<?php if ( comments_open() ) { ?><?php comments_template('', true); ?><?php } ?>

<?php locate_template (array('/lib/templates/wp-template/paginate.php'), true); ?>

<?php else: ?>

<?php locate_template (array('/lib/templates/wp-template/result.php'), true); ?>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php locate_template (array('/lib/templates/wp-template/bottom-content.php'), true); ?>

<?php get_footer(); ?>