body {
font-family: <?php echo $tn_wpmu_body_font; ?>!important;
color: <?php echo $tn_wpmu_body_font_colour; ?>!important;
<?php if ( ! get_background_image() && ! get_background_color() ) { ?>
background: <?php if($tn_wpmu_bg_colour == ""){ ?><?php echo "#E4E4E4"; } else { ?><?php echo $tn_wpmu_bg_colour; ?><?php } ?><?php if($tn_wpmu_bg_image == "") { ?><?php } else { ?> url(<?php echo $tn_wpmu_bg_image; ?>)<?php } ?> <?php echo $tn_wpmu_bg_image_repeat; ?> <?php echo $tn_wpmu_bg_image_attachment; ?> <?php echo $tn_wpmu_bg_image_horizontal; ?> <?php echo $tn_wpmu_bg_image_vertical; ?>!important;
<?php } ?>
}

h1, h2, h3, h4, h5, h6 {
font-family: <?php echo $tn_wpmu_headline_font; ?>!important;
}

<?php if(($tn_wpmu_font_size == "normal") || ($tn_wpmu_font_size == "")) { ?>
#wrapper { font-size: 0.75em; }
<?php } elseif ($tn_wpmu_font_size == "small") { ?>
#wrapper { font-size: 0.6875em; }
<?php } elseif ($tn_wpmu_font_size == "bigger") { ?>
#wrapper { font-size: 0.85em; }
<?php } elseif ($tn_wpmu_font_size == "largest") { ?>
#wrapper { font-size: 1em; }
<?php } ?>

<?php if($tn_wpmu_content_link_colour != "") { ?>
.content a,ol.pinglist li a, h1.post-title a, .post a, .page a, #sidebar a, #cf a, ol.commentlist a, .site-title h1 a, #post-navigator-single a, #top-right-widget a, #top-content a, #bottom-content a, #post-entry #page-nav a {
color: <?php echo $tn_wpmu_content_link_colour; ?>!important;
}
<?php } ?>

<?php if($tn_wpmu_content_link_hover_colour != "") { ?>
ol.pinglist li a:hover, #container h1.post-title a:hover, .post a:hover, .page a:hover, #sidebar a:hover, #cf a:hover, #commentpost a:hover, .site-title h1 a:hover, #post-navigator-single a:hover, #top-right-widget a:hover, #top-content a:hover, #bottom-content a:hover, #post-entry #page-nav a:hover {
color: <?php echo $tn_wpmu_content_link_hover_colour; ?>!important;
}
<?php } ?>

<?php if($tn_wpmu_nav_font != "") { ?>
#nav, #nav li { font-family: <?php echo $tn_wpmu_nav_font; ?> !important; }
<?php } ?>

<?php if($tn_wpmu_nv_bg_hover_colour != "") { ?>
#nav li a:hover { background: <?php echo $tn_wpmu_nv_bg_hover_colour; ?>!important; }
#nav li.current_page_item a, #nav li.current_menu_item a {
background: <?php echo $tn_wpmu_nv_bg_hover_colour; ?>!important;
}
<?php } ?>

<?php if($tn_wpmu_nv_link_colour != "") { ?>
#nav li a, #nav ul li a, #footer a,#navigation .rss-feeds a  { color: <?php echo $tn_wpmu_nv_link_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_nv_link_hover_colour != "") { ?>
#nav li a:hover, #nav ul li a:hover, #footer a:hover,#navigation .rss-feeds a:hover { color: <?php echo $tn_wpmu_nv_link_hover_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_nv_dropdown_bg_colour != "") { ?>
#nav ul li a { background: <?php echo $tn_wpmu_nv_dropdown_bg_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_nv_dropdown_bg_hover_colour != "") { ?>
#nav ul li a:hover { background: <?php echo $tn_wpmu_nv_dropdown_bg_hover_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_nv_dropdown_line_colour != "") { ?>
#nav ul li a { border-bottom: 1px solid <?php echo $tn_wpmu_nv_dropdown_line_colour; ?>!important; }
<?php } ?>



<?php if($tn_wpmu_content_line_colour != "") { ?>
#custom .activity-meta a, #custom .load-more a, #custom .generic-button a, span.activity, #custom a.button { color: #777 !important; }


table tr.alt td,div.activity-comments > ul, #custom .item-list-tabs, #custom #subnav, table thead tr, #custom .forums tr.alt,
#custom #message-thread .alt
 {
  background: <?php echo $tn_wpmu_content_line_colour; ?> none;
}
table tr td.label, div.activity-comments ul li,#custom #topic-post-list li {
  border: 0px none;
}

#custom .item-list .alt {
  background: <?php echo $tn_wpmu_content_line_colour; ?> none;
  border: 0px none;
}

table tr.alt td {
  background: <?php echo $tn_wpmu_content_line_colour; ?> none;
}

table.forum tr.sticky td {
    background: none repeat scroll 0 0 <?php echo $tn_wpmu_nv_bg_hover_colour; ?>;
    border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>;
    border-top: 0px none;

}
table.forum td.td-freshness span.time-since {color: #fff; }

#custom #subnav, ul.item-list li, #custom .messages-options-nav, #item-body form#whats-new-form {
  background: transparent none;
  border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>;
}

<?php if ( is_active_sidebar( 'buddypress-sidebar' ) ) : ?>
#custom #content { border-right: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>; }
<?php endif; ?>

.directory .item-list li {
   border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>;
}

.introbox {
	border-right: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

.post-content blockquote {
border-left: 5px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

.wp-caption {
background-color: <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

ul.list h3 {
	border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

#box2 {
border-left: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
border-right: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

#commentpost h4, #respond h3, ol.pinglist li a {
border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

#cf {
background: <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

ol.commentlist li {
	border:  1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
    background: <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

#post-entry {
border-right: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

div.post, div.page {
	border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

#bottom-content {
	border-top: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

.com, .com-alt {
	border-bottom: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}

.com-avatar img {
	border: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>!important;
}
<?php } ?>



<?php if($tn_wpmu_container_colour != "") { ?>

div.item-list-tabs ul li.selected a, div.item-list-tabs ul li.current a {
    background-color: <?php echo $tn_wpmu_container_colour; ?>;
}

#container { background: <?php echo $tn_wpmu_container_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_post_title_link_colour != "") { ?>
#container h1.post-title a {
color: <?php echo $tn_wpmu_post_title_link_colour; ?>!important;
}
<?php } ?>


<?php if($tn_wpmu_nv_footer_colour != "") { ?>
#footer { background: <?php echo $tn_wpmu_nv_footer_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_nv_footer_colour != "") { ?>
#navigation { background: <?php echo $tn_wpmu_nv_footer_colour; ?>!important; }
<?php } ?>

<?php if($tn_wpmu_image_height != "") { ?>
#custom-img-header { height: <?php echo $tn_wpmu_image_height; ?>px!important; }
<?php } ?>





<?php if($tn_wpmu_container_colour != "") { ?>

table thead tr, .bpfb_form_container {
  background: <?php echo colourCreator($tn_wpmu_container_colour, 12); ?>;
}

span.activity {
 background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
  border: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
color: <?php echo colourCreator($tn_wpmu_container_colour, 80); ?>;
}

table.forum tr.sticky td {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
  border-bottom: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
  border-top: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
}

#forums-dir-list .alt, table tr.alt td,ul#topic-post-list li.alt {background: <?php echo colourCreator($tn_wpmu_container_colour, 6); ?> !important; }

div.activity-comments form.ac-form {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 8); ?>;
  border: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
}

ul.item-list li {
  border-bottom: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
}

div.item-list-tabs {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 15); ?>;
}
div#subnav.item-list-tabs {
  background: none repeat scroll 0 0 <?php echo $tn_wpmu_container_colour; ?>;
}
div.item-list-tabs ul li.selected a, div.item-list-tabs ul li.current a {
  background-color: <?php echo $tn_wpmu_container_colour; ?>;
}

div.activity-comments > ul {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 8); ?>;
}
div.activity-comments ul li {
  border-top: 2px solid <?php echo colourCreator($tn_wpmu_container_colour, 15); ?>;
}
.activity-list li.load-more {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 30); ?> !important;
  border-bottom: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
  border-right: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
}
#custom .activity-list li.load-more a {
     color: <?php echo $tn_wpmu_body_font_colour; ?> !important;
}

.activity-list li.new_forum_post .activity-content .activity-inner, .activity-list li.new_forum_topic .activity-content .activity-inner {
  border-left: 2px solid <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
}

div#subnav.item-list-tabs {
  border-bottom: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
}

.activity-list .activity-content .activity-header, .activity-list .activity-content .comment-header {
  color: <?php echo colourCreator($tn_wpmu_body_font_colour, 10); ?> !important;
}

button, a.button, input[type="submit"], input[type="button"], input[type="reset"], ul.button-nav li a, div.generic-button a, .comment-reply-link {
 color: #666 !important;
}
button:hover, a.button:hover, input[type="submit"]:hover, input[type="button"]:hover, input[type="reset"]:hover, ul.button-nav li a:hover, div.generic-button a:hover, .comment-reply-link:hover {
 color: #444 !important;
}
<?php } ?>



<?php if($tn_wpmu_container_colour != "") { ?>
.post-content th {
  background: none repeat scroll 0 0  <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
}
table tr td.label {
  border-right: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 30); ?>;
}
.post-content table {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 20); ?>;
  border: 2px solid <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
}
.bbp-forums .even, .bbp-topics .even {
  background: none repeat scroll 0 0 <?php echo colourCreator($tn_wpmu_container_colour, 40); ?>;
}
#custom div.bbp-template-notice a {
  color: #555 !important;
}
#content fieldset.bbp-form, #container fieldset.bbp-form, #wrapper fieldset.bbp-form {
  border: 1px solid <?php echo $tn_wpmu_content_line_colour; ?>;
}
table.bbp-topic tbody tr td, table.bbp-replies tbody tr td {
  background-color: transparent;
}
.bbp-topics-front tr.super-sticky td, .bbp-topics tr.super-sticky td, .bbp-topics tr.sticky td, .bbp-forum-content tr.sticky td {
  background-color:  <?php echo colourCreator($tn_wpmu_container_colour, 60); ?> !important;
}

.post-content th, .post-content td {
  border: 1px solid <?php echo colourCreator($tn_wpmu_container_colour, 30); ?>;
}
table.bbp-forums th, table.bbp-topics th, table.bbp-topic th, table.bbp-replies th {
  background-color: <?php echo colourCreator($tn_wpmu_container_colour, 10); ?>;
}
<?php } ?>