<?php
////////////////////////////////////////////////////////////////////////////////
// CUSTOMIZE BACKEND FOR WPMU-CMS
////////////////////////////////////////////////////////////////////////////////

$themename = "WPMU-Nelo ";
$shortname = "tn";
$shortprefix = "_wpmu_";

$tpl_dir = get_template_directory_uri();
$tpl_url = get_site_url();
$mywp_version = get_bloginfo('version');

if(file_exists( WP_CONTENT_DIR . '/themes/wpmu-nelo/style.css' )) {
$theme_data = wp_get_theme( 'wpmu-nelo', WP_CONTENT_DIR . '/themes' );
} else {
$theme_data = wp_get_theme( );
}

$theme_version = $theme_data->get('Version');

if(function_exists('bp_get_root_domain')) {
$the_privacy_root = bp_get_root_domain(); } else {
$the_privacy_root = site_url();
}

if( function_exists('bp_get_root_slug')) {
$member_reg_slug = bp_get_root_slug( 'register' );
}

$wp_dropdown_rd_admin = get_categories('hide_empty=0');
$wp_getcat = array();
foreach ($wp_dropdown_rd_admin as $category_list) {
$wp_getcat[$category_list->cat_ID] = $category_list->cat_name;
}
$category_bulk_list = array_unshift($wp_getcat, "Choose a category");

$choose_count = array("Select a number","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20");

$options = array (


array(
"name" => __("Do you want to enable <strong>privacy</strong> on all members profile for not logged in user<br /><em>* only logged in user can view members profile and members directory. 'disable' by default</em>", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "privacy_status",
"box"=> "1",
"header-title" => __("Global Privacy Setting", TEMPLATE_DOMAIN),
"inblock" => "buddypress",
"type" => "select",
"std" => "disable",
"options" => array("disable","enable")),

array(
"name" => __("if you enable the <strong>privacy</strong> on all members profile for none logged in user, insert the full url link they will be redirect to for non logged in users<br /><em>*optional - leave empty for default<br />default are buddypress register link<br /> " . site_url() . '/' . (isset($member_reg_slug) ? $member_reg_slug : '') . '/' . "</em>", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "privacy_redirect",
"box"=> "1",
"inblock" => "buddypress",
"type" => "text",
"std" => "",
),

array(
"name" => __("Do you want to enable <strong>friend only privacy</strong> for user profile<br /><em>* only friend can view friend profile. network/super admin were exclude from this condition. 'disable' by default</em>", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "friend_privacy_status",
"header-title" => __("Users Privacy Setting", TEMPLATE_DOMAIN),
"box"=> "1",
"bp-only" => $bp_existed,
"inblock" => "buddypress",
"type" => "select",
"std" => "disable",
"options" => array("disable","enable")),

array(
"name" => __("if you enable the <strong>friend privacy</strong> for user profile, insert the full url link they will be redirect when viewing a none friend user<br /><em>*optional - leave empty for default<br />default are buddypress homepage link<br /> " . site_url() . '/' . "</em>", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "friend_privacy_redirect",
"box"=> "1",
"inblock" => "buddypress",
"type" => "text",
"std" => "",
),


array(
"name" => __("Do you want to allowed only <strong>admin and moderators</strong> to create group? <em>* if yes, normal users cannot create group and can only join groups created by admin and moderators. 'no' by default</em>", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "create_group_status",
"header-title" => __("Groups Privacy Setting", TEMPLATE_DOMAIN),
"box"=> "1",
"inblock" => "buddypress",
"type" => "select",
"std" => "no",
"options" => array("no","yes")),

array(
"name" => __("if you enable for the only <strong>admins and editors</strong> to create group, insert the full url link they will be redirect to for non admins and editors users when they click <strong>create group</strong> button<br /><em>*optional - leave empty for default<br />default are buddypress root domain<br /> " . $the_privacy_root . '/' . "</em>", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "create_group_redirect",
"box"=> "1",
"inblock" => "buddypress",
"type" => "text",
"std" => "",
),

array(
"name" => __("Do you want to enable facebook like it in Activity Stream",TEMPLATE_DOMAIN),
"description" => __("you can enable facebook like in stream but this is a bandwith hog features 'disable' by default", TEMPLATE_DOMAIN),
"id" => $shortname . $shortprefix . "stream_facebook_like_status",
"inblock" => "buddypress",
"type" => "select",
"box" => "1",
"std" => "disable",
"options" => array("disable","enable")),


    array (	"name" => __("Choose your layout mode?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_layout_mode",
            "inblock" => "main-layout",
            "box" => "1",
			"type" => "select",
            "std" => "custom homepage",
            "options" => array("custom homepage","blog homepage")),


    array (	"name" => __("Main Intro Box Setting? *only required if you are using the custom homepage", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_latest_post",
            "inblock" => "main-layout",
            "box" => "1",
			"type" => "select",
            "std" => "custom post",
            "options" => array("custom post", "recent post", "custom post with recent post")),


   array (	"name" => __("How many post count to show? *only if you choose recent post or custom post with recent post above", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_latest_post_count",
            "inblock" => "main-layout",
            "box" => "1",
			"type" => "select",
            "std" => "",
            "options" => $choose_count),


    array (	"name" => __("Do you want to enable Facebook Like in Single Post", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_facebook_like_status",
            "inblock" => "post",
            "box" => "1",
			"type" => "select",
            "std" => "disable",
            "options" => array("disable", "enable")),


    array(	"name" => __("Do you want to used the social bar in posts?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_social_status",
            "inblock" => "post",
            "box" => "1",
			"type" => "select",
            "std" => "disable",
			"options" => array("disable", "enable")),


    array(	"name" => __("Do you want to enable post author and meta info like post date etc in posts?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_postmeta_status",
            "inblock" => "post",
            "box" => "1",
			"type" => "select",
            "std" => "enable",
			"options" => array("enable","disable")),



    array (	"name" => __("Choose your background colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_bg_colour",
            "inblock" => "layout",
            "custom" => "colourpicker",
            "box" => "1",
            "std" => "",
			"type" => "text"),


    array (	"name" => __("Choose your content background colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_container_colour",
            "inblock" => "layout",
            "custom" => "colourpicker",
            "box" => "1",
            "std" => "",
			"type" => "text"),

     array (	"name" => __("Choose your body <strong>line</strong> colour? *grid lines and separate lines", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_content_line_colour",
            "inblock" => "layout",
            "custom" => "colourpicker",
            "box" => "1",
            "std" => "",
			"type" => "text"),



    array (	"name" => sprintf(__("If you want to use an image as the background please upload the image here:<br /><a target=\"_blank\" href=\"%s\">upload image</a>", TEMPLATE_DOMAIN), admin_url("upload.php")),
			"id" => $shortname."_wpmu_bg_image",
            "inblock" => "layout",
            "box" => "1",
            "std" => "",
			"type" => "text"),



array(
"name" => __("Background Images Repeat", TEMPLATE_DOMAIN),
"id" => $shortname . "_wpmu_bg_image_repeat",
"inblock" => "layout",
"box" => "1",
"type" => "select",
"std" => "no-repeat",
"options" => array("no-repeat","repeat","repeat-x","repeat-y")),


array(
"name" => __("Background Images Attachment", TEMPLATE_DOMAIN),
"id" => $shortname . "_wpmu_bg_image_attachment",
"inblock" => "layout",
"box" => "1",
"type" => "select",
"std" => "fixed",
"options" => array("fixed", "scroll")),


array(
"name" => __("Background Images Horizontal Position", TEMPLATE_DOMAIN),
"id" => $shortname . "_wpmu_bg_image_horizontal",
"inblock" => "layout",
"box" => "1",
"type" => "select",
"std" => "left",
"options" => array("left", "center", "right")),


array(
"name" => __("Background Images Vertical Position", TEMPLATE_DOMAIN),
"id" => $shortname . "_wpmu_bg_image_vertical",
"inblock" => "layout",
"box" => "1",
"type" => "select",
"std" => "top",
"options" => array("top", "center", "bottom")),


array(	"name" => __("Choose your global body font?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_body_font",
            "type" => "select",
            "box" => "2",
            "inblock" => "font",
			"std" => "Helvetica, Arial, sans-serif",
			"options" => array(
            "Helvetica, Arial, sans-serif",
           "Lucida Grande, Lucida Sans, sans-serif",
           "Arial, sans-serif",
											"Cantarell, arial, serif",
											"Cardo, arial, serif",
										    "Courier New, Courier, monospace",
											"Crimson Text, arial, serif",
											"Droid Sans, arial, serif",
											"Droid Serif, arial, serif",
								            "Garamond, Georgia, serif",
											"Georgia, arial, serif",
											"IM Fell DW Pica, arial, serif",
											"Josefin Sans Std Light, arial, serif",
											"Lobster, arial, serif",
											"Lucida Sans Unicode, Lucinda Grande, sans-serif",
											"Molengo, arial, serif",
											"Neuton, arial, serif",
											"Nobile, arial, serif",
											"OFL Sorts Mill Goudy TT, arial, serif",
											"Old Standard TT, arial, serif",
											"Reenie Beanie, arial, serif",
											"Tahoma, sans-serif",
											"Tangerine, arial, serif",
								            "Trebuchet MS, sans-serif",
								            "Verdana, sans-serif",
											"Vollkorn, arial, serif",
											"Yanone Kaffeesatz, arial, serif",
                                            "Just Another Hand, arial, serif",
                                            "Terminal Dosis Light, arial, serif",
                                            "Ubuntu, arial, serif"
            )
            ),

	array(	"name" => __("Choose your global headline font", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_headline_font",
            "type" => "select",
            "box" => "2",
            "inblock" => "font",
            "std" => "Helvetica, Arial, sans-serif",
			"options" => array(
            "Helvetica, Arial, sans-serif",
            "Lucida Grande, Lucida Sans, sans-serif",
            "Arial, sans-serif",
											"Cantarell, arial, serif",
											"Cardo, arial, serif",
										    "Courier New, Courier, monospace",
											"Crimson Text, arial, serif",
											"Droid Sans, arial, serif",
											"Droid Serif, arial, serif",
								            "Garamond, Georgia, serif",
											"Georgia, arial, serif",
											"IM Fell DW Pica, arial, serif",
											"Josefin Sans Std Light, arial, serif",
											"Lobster, arial, serif",
											"Lucida Sans Unicode, Lucinda Grande, sans-serif",
											"Molengo, arial, serif",
											"Neuton, arial, serif",
											"Nobile, arial, serif",
											"OFL Sorts Mill Goudy TT, arial, serif",
											"Old Standard TT, arial, serif",
											"Reenie Beanie, arial, serif",
											"Tahoma, sans-serif",
											"Tangerine, arial, serif",
								            "Trebuchet MS, sans-serif",
								            "Verdana, sans-serif",
											"Vollkorn, arial, serif",
											"Yanone Kaffeesatz, arial, serif",
                                            "Just Another Hand, arial, serif",
                                            "Terminal Dosis Light, arial, serif",
                                            "Ubuntu, arial, serif"
            )
            ),

    array(	"name" => __("Choose your font size here?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_font_size",
            "box" => "2",
            "inblock" => "font",
			"type" => "select",
            "std" => "normal",
			"options" => array("normal","small", "bigger", "largest")),


    array (	"name" => __("Change your global body font colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_body_font_colour",
            "inblock" => "font",
            "custom" => "colourpicker",
            "box" => "2",
            "std" => "#1a1a1a",
			"type" => "text"),


    array (	"name" => __("Choose your prefered links colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_content_link_colour",
            "inblock" => "font",
            "custom" => "colourpicker",
            "box" => "2",
            "std" => "",
			"type" => "text"),

    array (	"name" => __("Choose your prefered links <strong>hover</strong> colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_content_link_hover_colour",
            "inblock" => "font",
            "custom" => "colourpicker",
            "box" => "2",
            "std" => "",
			"type" => "text"),


    array (	"name" => __("Choose your prefered <strong>post title</strong> links colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_post_title_link_colour",
            "inblock" => "font",
            "custom" => "colourpicker",
            "box" => "2",
            "std" => "",
			"type" => "text"),


    array (	"name" => __("Choose your prefered navigation and footer colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_footer_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),


   	array(	"name" => __("Choose your navigation font", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nav_font",
            "type" => "select",
            "box" => "3",
            "inblock" => "nav",
            "std" => "Helvetica, Arial, sans-serif",
			"options" => array(
            "Helvetica, Arial, sans-serif",
            "Lucida Grande, Lucida Sans, sans-serif",
            "Arial, sans-serif",
											"Cantarell, arial, serif",
											"Cardo, arial, serif",
										    "Courier New, Courier, monospace",
											"Crimson Text, arial, serif",
											"Droid Sans, arial, serif",
											"Droid Serif, arial, serif",
								            "Garamond, Georgia, serif",
											"Georgia, arial, serif",
											"IM Fell DW Pica, arial, serif",
											"Josefin Sans Std Light, arial, serif",
											"Lobster, arial, serif",
											"Lucida Sans Unicode, Lucinda Grande, sans-serif",
											"Molengo, arial, serif",
											"Neuton, arial, serif",
											"Nobile, arial, serif",
											"OFL Sorts Mill Goudy TT, arial, serif",
											"Old Standard TT, arial, serif",
											"Reenie Beanie, arial, serif",
											"Tahoma, sans-serif",
											"Tangerine, arial, serif",
								            "Trebuchet MS, sans-serif",
								            "Verdana, sans-serif",
											"Vollkorn, arial, serif",
											"Yanone Kaffeesatz, arial, serif",
                                            "Just Another Hand, arial, serif",
                                            "Terminal Dosis Light, arial, serif",
                                            "Ubuntu, arial, serif"
            )
            ),

   array (	"name" => __("Choose your prefered navigation hover background colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_bg_hover_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),


   array (	"name" => __("Choose your prefered navigation dropdown background colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_dropdown_bg_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),

   array (	"name" => __("Choose your prefered navigation dropdown <strong>hover</strong> background colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_dropdown_bg_hover_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),

   array (	"name" => __("Choose your prefered navigation dropdown <strong>separate line</strong> colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_dropdown_line_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),


   array (	"name" => __("Choose your prefered navigation link text colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_link_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),


   array (	"name" => __("Choose your prefered navigation link text hover colour?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_nv_link_hover_colour",
            "inblock" => "nav",
            "custom" => "colourpicker",
            "box" => "3",
            "std" => "",
			"type" => "text"),


    array(	"name" => __("Do you want to used breadcrumb navigation in posts and pages<br />*default: disable", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_breadcrumb_on",
            "box" => "3",
            "inblock" => "nav",
			"type" => "select",
            "std" => "disable",
			"options" => array("disable","enable")),




     array (	"name" => sprintf(__("If you want to use an logo image in header:<br />upload your logo <a target=\"_blank\" href=\"%s\">here</a> and copy paste the full image url<br /><br /><em>*this will replace the site title text with logo image</em>", TEMPLATE_DOMAIN), admin_url("upload.php")),
			"id" => $shortname . $shortprefix . "header_logo_img",
            "inblock" => "custom-header",
            "box" => "3",
            "std" => "",
			"type" => "text"),

    array(	"name" => __("Do you want to used the custom image header *default: disabled", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_header_on",
            "box" => "3",
            "inblock" => "custom-header",
			"type" => "select",
            "std" => "disable",
			"options" => array("disable","enable")),


    array (	"name" => __("Insert your desired custom header height?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_image_height",
            "inblock" => "custom-header",
            "box" => "3",
            "std" => "150",
			"type" => "text"),


    array(	"name" => __("Enter a link for your custom image header<br />*default: link to homepage", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_header_link",
            "box" => "3",
            "inblock" => "custom-header",
			"type" => "text",
            "std" => "",
            ),


    array (	"name" => __("Show a login panel and logged in users profile?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_show_profile",
            "inblock" => "profile",
            "box" => "2",
			"type" => "select",
            "std" => "no",
            "options" => array("no","yes")),


    array(	"name" => __("Enter some information about yourself or the site (only displayed if the login panel is enabled)", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_profile_text",
            "inblock" => "profile",
            "box" => "2",
            "std" => "",
			"type" => "textarea")
);


function mytheme_wpmu_admin() {

global $bp_existed, $themename, $shortname, $options, $shortprefix;
if ( isset($_REQUEST['saved']) && $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
if ( isset($_REQUEST['reset']) && $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>



<div id="wrap-admin">
<div id="content-admin">
<div class="admin-content wrap">
<?php screen_icon('tools'); echo "<h2>" . $themename . __( ' Theme Options', TEMPLATE_DOMAIN ) . "</h2>"; ?>

<form method="post" id="option-mz-form">
<br />



<?php

if ($values['box'] = '1') { ?>

<div class="admin-layer">
<div class="option-box" id="main-setting">
<h4><?php _e('Blog Main Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "main-layout") && ($value['type'] == "text") && ($value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<?php $i == $i++ ; ?>
<p><?php echo $value['name']; ?>:</p>
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick <?php echo $i; ?>',required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
<br />
<input class="pick" id="pick <?php echo $i; ?>">
</p></div>

<?php } elseif (($value['inblock'] == "main-layout") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "main-layout") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "main-layout") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>

<?php
if( is_multisite() ) {

if( is_main_site() ) {

  $bg_color = 'multisite_adminbar_bg_color';
  $bg_hover_color = 'multisite_adminbar_hover_bg_color'; ?>

<div class="option-box" id="bp-setting">
<h4><?php _e('Adminbar Settings', TEMPLATE_DOMAIN); ?></h4>

<div id="<?php echo $bg_color; ?>" class="pwrap">
<p><?php _e( 'Choose your adminbar background color', TEMPLATE_DOMAIN ); ?></p>
<div class="input-option">
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick 88',required:false,hash:true}" name="<?php echo $bg_color; ?>" id="colorpickerField88" type="text" value="<?php if ( get_site_option( $bg_color ) != "") { echo get_site_option( $bg_color ); } ?>" />
<br />
<input class="pick" id="pick 88">
</p>
</div>
</div>

<?php if($bp_existed == 'true'): ?>

<div id="<?php echo $bg_hover_color; ?>" class="pwrap">
<p><?php _e( 'Choose your adminbar background hover color', TEMPLATE_DOMAIN ); ?></p>
<div class="input-option">
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick 89',required:false,hash:true}" name="<?php echo $bg_hover_color; ?>" id="colorpickerField89" type="text" value="<?php if ( get_site_option( $bg_hover_color ) != "") { echo get_site_option( $bg_hover_color ); } ?>" />
<br />
<input class="pick" id="pick 89">
</p>
</div>
</div>

<?php endif; ?>

    </div>

<?php } } else {

  $bg_color = $shortname . $shortprefix . 'adminbar_bg_color';
  $bg_hover_color = $shortname . $shortprefix . 'adminbar_hover_bg_color'; ?>

  <div class="option-box" id="bp-setting">
<h4><?php _e('Adminbar Settings', TEMPLATE_DOMAIN); ?></h4>
<div id="<?php echo $bg_color; ?>" class="tab-option">
<div class="description"><?php _e( 'Choose your adminbar background color', TEMPLATE_DOMAIN ); ?><br /><span></span></div>
<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $bg_color; ?>" id="colorpickerField88" type="text" value="<?php if ( get_option( $bg_color ) != "" ) { echo get_option( $bg_color ); } ?>" /></p></div>
</div>
                                 <?php if($bp_existed == 'true'): ?>
<div id="<?php echo $bg_hover_color; ?>" class="tab-option">
<div class="description"><?php _e( 'Choose your adminbar background hover color', TEMPLATE_DOMAIN ); ?><br /><span></span></div>
<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $bg_hover_color; ?>" id="colorpickerField89" type="text" value="<?php if ( get_option( $bg_hover_color ) != ""  ) { echo get_option( $bg_hover_color ); } ?>" /></p></div>
</div>
   <?php endif; ?>
         </div>
<?php } ?>


<?php if($bp_existed == 'true') { ?>

<div class="option-box" id="bp-setting">
<h4><?php _e('BuddyPress Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "buddypress") && ($value['type'] == "colorpicker")) { ?>

<div class="pwrap">
<?php $i == $i++ ; ?>
<p><?php echo $value['name']; ?>:</p>
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick <?php echo $i; ?>',required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
<br />
<input class="pick" id="pick <?php echo $i; ?>">
</p></div>

<?php } elseif (($value['inblock'] == "buddypress") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "buddypress") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "buddypress") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>

<?php } ?>




<div class="option-box">
<h4><?php _e('Blog Post Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "post") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "post") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "post") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>




</div>
<?php } ?>




<?php

if ($values['box'] = '2') { ?>

<div class="admin-layer">

<div class="option-box">
<h4><?php _e('Blog Layout Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "layout") && ($value['type'] == "text") && (isset($value['custom']) && $value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<?php $i = (isset($i)) ? $i+1 : 1; ?>
<p><?php echo $value['name']; ?>:</p>
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick <?php echo $i; ?>',required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
<br />
<input class="pick" id="pick <?php echo $i; ?>">
</p></div>

<?php } elseif (($value['inblock'] == "layout") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "layout") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "layout") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>


<div class="option-box">
<h4><?php _e('Blog Fonts Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {
if (($value['inblock'] == "font") && ($value['type'] == "text") && ($value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<?php $i == $i++ ; ?>
<p><?php echo $value['name']; ?>:</p>
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick <?php echo $i; ?>',required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
<br />
<input class="pick" id="pick <?php echo $i; ?>">
</p></div>

<?php } elseif (($value['inblock'] == "font") && ($value['type'] == "text") && ($value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-colour" id="vtrColorPicker" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "font") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "font") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "font") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>


<div class="option-box">
<h4><?php _e('Profile Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "profile") && ($value['type'] == "text") && ($value['custom'] == "colourpicker")) { ?>
<div class="pwrap">
<?php $i == $i++ ; ?>
<p><?php echo $value['name']; ?>:</p>
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick <?php echo $i; ?>',required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
<br />
<input class="pick" id="pick <?php echo $i; ?>">
</p></div>

<?php } elseif (($value['inblock'] == "profile") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "profile") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "profile") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>


</div><!-- admin-layer -->
<?php } ?>





<?php

if ($values['box'] = '3') { ?>

<div class="admin-layer">


<div class="option-box">
<h4><?php _e('Navigation &amp; Footer Colour Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "nav") && ($value['type'] == "text") && ($value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<?php $i == $i++ ; ?>
<p><?php echo $value['name']; ?>:</p>
<p><input class="ops-colour color {pickerPosition:'top',styleElement:'pick <?php echo $i; ?>',required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
<br />
<input class="pick" id="pick <?php echo $i; ?>">
</p></div>

<?php } elseif (($value['inblock'] == "nav") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "nav") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "nav") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>



<div class="option-box">
<h4><?php _e('Custom Image Header Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options as $value) {

if (($value['inblock'] == "custom-header") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "custom-header") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "custom-header") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>
</div>


</div><!-- admin-layer -->

<?php } ?>






<p class="submit">
<input name="save" type="submit" style="font-size: 16px !important; padding: 0.25em 2em; height: 32px;" class="button-primary" value="<?php echo esc_attr(__('Save Options', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="save" />
</p>
</form>

<form id="reset-options" method="post">
<p class="submit">
<strong><?php _e("By hitting this reset button, all saved options will be reset and restore to default",TEMPLATE_DOMAIN); ?></strong>&nbsp;&nbsp;
<input name="reset" type="submit" class="button-secondary" onclick="return confirm('Are you sure you want to reset all saved settings?. This action cannot be restore.')" value="<?php echo esc_attr(__('Reset Options', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

</div>
</div>
</div>

<?php }

function mytheme_add_wpmu_admin() {
global $themename, $shortname, $shortprefix, $options;
if ( isset($_GET['page']) && $_GET['page'] == "functions.php" ) {
if ( isset($_REQUEST['action']) && 'save' == $_REQUEST['action'] ) {

       if( is_multisite()):

$post_bg_color = $_POST[ 'multisite_adminbar_bg_color' ];
$post_hover_bg_color = $_POST[ 'multisite_adminbar_hover_bg_color' ];

update_site_option('multisite_adminbar_bg_color', $post_bg_color );
update_site_option('multisite_adminbar_hover_bg_color', $post_hover_bg_color );

if( isset( $_REQUEST[ 'multisite_adminbar_bg_color' ] ) ) {
update_site_option('multisite_adminbar_bg_color', $post_bg_color );
} else {
delete_site_option('multisite_adminbar_bg_color' );
}

if( isset( $_REQUEST[ 'multisite_adminbar_hover_bg_color' ] ) ) {
update_site_option('multisite_adminbar_hover_bg_color', $post_hover_bg_color );
} else {
delete_site_option('multisite_adminbar_hover_bg_color' );
}

  else:

$post_bg_color = $_POST[ 'tn_wpmu_adminbar_bg_color' ];
$post_hover_bg_color = $_POST[ 'tn_wpmu_adminbar_hover_bg_color' ];

update_option('tn_wpmu_adminbar_bg_color', $post_bg_color );
update_option('tn_wpmu_adminbar_hover_bg_color', $post_hover_bg_color );

if( isset( $_REQUEST[ 'tn_wpmu_adminbar_bg_color' ] ) ) {
update_option('tn_wpmu_adminbar_bg_color', $post_bg_color );
} else {
delete_option('tn_wpmu_adminbar_bg_color' );
}

if( isset( $_REQUEST[ 'tn_wpmu_adminbar_hover_bg_color' ] ) ) {
update_option('tn_wpmu_adminbar_hover_bg_color', $post_hover_bg_color );
} else {
delete_option('tn_wpmu_adminbar_hover_bg_color' );
}

endif;

foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } }
header("Location: themes.php?page=functions.php&saved=true");
die;
} else if( isset($_REQUEST['action']) && 'reset' == $_REQUEST['action'] ) {


              if( is_multisite()) {
  delete_site_option('multisite_adminbar_bg_color');
  delete_site_option('multisite_adminbar_hover_bg_color');
  } else {
  delete_option('tn_wpmu_adminbar_bg_color');
  delete_option('tn_wpmu_adminbar_hover_bg_color');
  }

foreach ($options as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=functions.php&reset=true");
die;
} else if( isset($_REQUEST['action']) && 'upload' == $_REQUEST['action'] ) {
header("Location: themes.php?page=functions.php&upload=ok");
die;
}
}
add_theme_page($themename . __(' Options', TEMPLATE_DOMAIN), __('Theme Options', TEMPLATE_DOMAIN), 'edit_theme_options', 'functions.php', 'mytheme_wpmu_admin');
}






////////////////////////////////////////////////////////////////////////////////
//  TOP HEADER
////////////////////////////////////////////////////////////////////////////////

$options1 = array (


    array (	"name" => __("Top header image direct link to? *http://www.sitename.com", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_top_header_imgurl",
            "inblock" => "home-top-header",
            "box" => "1",
            "std" => "",
			"type" => "text")

);

$options2 = array (


    array (	"name" => __("Your homepage intro header title", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_intro_header",
            "inblock" => "home-intro",
            "box" => "1",
            "std" => "",
			"type" => "text"),


    array(	"name" => __("Your homepage intro text", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_intro_text",
            "inblock" => "home-intro",
            "box" => "1",
            "std" => "",
			"type" => "textarea"),


    array (	"name" => __("Intro header image direct link to? *http://www.sitename.com", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_intro_header_imgurl",
            "inblock" => "home-intro",
            "box" => "1",
            "std" => "",
			"type" => "text")

);

$options3 = array (

    array (	"name" => __("Your homepage box left header title", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box1_header",
            "inblock" => "home-box1",
            "box" => "1",
            "std" => "",
			"type" => "text"),


    array (	"name" => __("Your homepage box left text", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box1_text",
            "inblock" => "home-box1",
            "box" => "1",
            "std" => "",
			"type" => "textarea"),


    array (	"name" => __("Choose your featured category in box left?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box1_cat",
            "inblock" => "home-box1",
            "box" => "1",
            "std" => "Choose a category",
			"type" => "select",
            "options" => $wp_getcat),

    array (	"name" => __("Box left image direct link to? *http://www.sitename.com", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box1_imgurl",
            "inblock" => "home-box1",
            "box" => "1",
            "std" => "",
			"type" => "text")

);

$options4 = array (

    array ( "name" => __("Your homepage box center header title", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box2_header",
            "inblock" => "home-box2",
            "box" => "1",
            "std" => "",
			"type" => "text"),


    array(	"name" => __("Your homepage box center text", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box2_text",
            "inblock" => "home-box2",
            "box" => "1",
            "std" => "",
			"type" => "textarea"),


    array (	"name" => __("Choose your featured category in box center?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box2_cat",
            "inblock" => "home-box2",
            "box" => "1",
            "std" => "Choose a category",
			"type" => "select",
            "options" => $wp_getcat),


    array (	"name" => __("Box center image direct link to? *http://www.sitename.com", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box2_imgurl",
            "inblock" => "home-box2",
            "box" => "1",
            "std" => "",
			"type" => "text")

);


$options5 = array (

    array (	"name" => __("Your homepage box right header title", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box3_header",
            "inblock" => "home-box3",
            "box" => "1",
            "std" => "",
			"type" => "text"),


    array(	"name" => __("Your homepage box right text", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box3_text",
            "inblock" => "home-box3",
            "box" => "1",
            "std" => "",
			"type" => "textarea"),



    array (	"name" => __("Choose your featured category in box right?", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box3_cat",
            "inblock" => "home-box3",
            "box" => "1",
            "std" => "Choose a category",
			"type" => "select",
            "options" => $wp_getcat),


    array (	"name" => __("Box right image direct link to? *http://www.sitename.com", TEMPLATE_DOMAIN),
			"id" => $shortname."_wpmu_box3_imgurl",
            "inblock" => "home-box3",
            "box" => "1",
            "std" => "",
			"type" => "text")

);


##########################################################################################################
# IMAGE FUNCTIONS																						 #
# You do not need to alter these functions																 #
##########################################################################################################

function resizeImage($image,$width,$height,$scale) {
list($imagewidth, $imageheight, $imageType) = getimagesize($image);
$imageType = image_type_to_mime_type($imageType);
$newImageWidth = ceil($width * $scale);
$newImageHeight = ceil($height * $scale);
$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
switch($imageType) {
case "image/gif":
$source=imagecreatefromgif($image);
break;
case "image/pjpeg":
case "image/jpeg":
case "image/jpg":
$source=imagecreatefromjpeg($image);
break;
case "image/png":
case "image/x-png":
$source=imagecreatefrompng($image);
break;
}
imagecopyresampled($newImage,$source,0,0,0,0,$newImageWidth,$newImageHeight,$width,$height);

switch($imageType) {
case "image/gif":
imagegif($newImage,$image);
break;
case "image/pjpeg":
case "image/jpeg":
case "image/jpg":
imagejpeg($newImage,$image,90);
break;
case "image/png":
case "image/x-png":
imagepng($newImage,$image);
break;
}
chmod($image, 0777);
return $image;
}

//You do not need to alter these functions

function resizeThumbnailImage($thumb_image_name, $image, $width, $height, $start_width, $start_height, $scale){
list($imagewidth, $imageheight, $imageType) = getimagesize($image);
$imageType = image_type_to_mime_type($imageType);
$newImageWidth = ceil($width * $scale);
$newImageHeight = ceil($height * $scale);
$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
switch($imageType) {
case "image/gif":
$source=imagecreatefromgif($image);
break;
case "image/pjpeg":
case "image/jpeg":
case "image/jpg":
$source=imagecreatefromjpeg($image);
break;
case "image/png":
case "image/x-png":
$source=imagecreatefrompng($image);
break;
}

imagecopyresampled($newImage,$source,0,0,$start_width,$start_height,$newImageWidth,$newImageHeight,$width,$height);
switch($imageType) {
case "image/gif":
imagegif($newImage,$thumb_image_name);
break;
case "image/pjpeg":
case "image/jpeg":
case "image/jpg":
imagejpeg($newImage,$thumb_image_name,90);
break;
case "image/png":
case "image/x-png":
imagepng($newImage,$thumb_image_name);
break;
}
chmod($thumb_image_name, 0777);
return $thumb_image_name;
}

//You do not need to alter these functions

function getHeight($image) {
$size = getimagesize($image);
$height = $size[1];
return $height;
}

//You do not need to alter these functions

function getWidth($image) {
$size = getimagesize($image);
$width = $size[0];
return $width;
}

// Only one of these image types should be allowed for upload
$allowed_image_types = array('image/pjpeg'=>"jpg",'image/jpeg'=>"jpg",'image/jpg'=>"jpg",'image/png'=>"png",'image/x-png'=>"png",'image/gif'=>"gif");
$allowed_image_ext = array_unique($allowed_image_types); // do not change this
$image_ext = "";	// initialise variable, do not change this.
foreach ($allowed_image_ext as $mime_type => $ext) {
$image_ext.= strtoupper($ext)." ";
}



function wpmudev_custom_homepage_admin() {
global $themename,$blog_id,$allowed_image_types,$allowed_image_ext,$image_ext; ?>

<div class="wrap" id="wrap-admin">
<div class="custom-homepage" id="content-admin">
<?php screen_icon('upload'); echo "<h2>" . $themename . __( ' Homepage Settings', TEMPLATE_DOMAIN ) . "</h2>"; ?>
<br />
<?php
$gallery_folder = "thumb";
if( is_multisite() ) {
$check_if_folder = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id . "/" . $gallery_folder;
} else {
$check_if_folder = WP_CONTENT_DIR . "/" . $gallery_folder;
}
//echo $check_if_folder;
/////////////////////////////////////////////////////You can alter these options///////////////////////////

if(is_dir($check_if_folder)) {

if( is_multisite() ) {
$tpl_url = site_url();
$ptp = get_template();
$upload_dir = "files"; 				// The directory for the images to be saved in

$upload_path = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id . "/" . $gallery_folder . "/";
$upload_path_blogid = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id;
$upload_path_check = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id . "/" . $gallery_folder;
$ttpl = get_template_directory_uri();
$ttpl_url = site_url();
$upload_url = $ttpl_url .  "/wp-content/blogs.dir/" . $blog_id . "/" . $gallery_folder;
$ttpl_path = $ttpl_url .  "/wp-content/blogs.dir/" . $blog_id . "/" . $gallery_folder;


} else {

$tpl_url = get_site_url();
$ptp = get_template();
$upload_dir = "files"; 				// The directory for the images to be saved in
$upload_path = WP_CONTENT_DIR . "/" . $gallery_folder . "/";
$upload_path_check = WP_CONTENT_DIR . '/' . $gallery_folder;
$ttpl = get_template_directory_uri();
$ttpl_url = site_url();
$upload_url = $ttpl_url . "/wp-content/" . $gallery_folder;
$ttpl_path = $ttpl_url . "/wp-content/" . $gallery_folder;


}


} else { // new path for new versions


$uploads = wp_upload_dir();
$upload_files_path = get_option('upload_path');

global $blog_id;
$tpl_url = get_site_url();
$ptp = get_template();
$uploads_folder = "thumb";

$upload_path = $uploads['basedir'] . '/' . $uploads_folder . "/";
$upload_path_check = $uploads['basedir'] . '/' . $uploads_folder;

$ttpl = get_template_directory_uri();
$ttpl_url = site_url();


//Create the upload directory with the right permissions if it doesn't exist
if( !is_dir($upload_path_check) ){
mkdir($upload_path_check, 0777);
chmod($upload_path_check, 0777);
}

$upload_url_trim = str_replace( WP_CONTENT_DIR, "", $uploads['basedir'] );
//echo $upload_url_trim;
if (substr($upload_url_trim, -1) == '/') {
$upload_url_trim = rtrim($upload_url_trim, '/');
}

$ttpl_path = WP_CONTENT_URL . $upload_url_trim  . '/' . $uploads_folder;;
$upload_url = WP_CONTENT_URL . $upload_url_trim  . '/' . $uploads_folder;

}




///////////////////////////////////////////////////////////////////////////////////
// start images upload and crop
///////////////////////////////////////////////////////////////////////////////////

$normal_image_name = "top_header_normal.jpg";
$large_image_name = "top_header.jpg"; 		// New name of the large image
$thumb_image_name = "top_header_crop.jpg"; 	// New name of the thumbnail image
$max_file = "1000000"; 						// Approx 1MB
$max_width = "800";							// Max width allowed for the large image
$thumb_width = "300";						// Width of thumbnail image
$thumb_height = "100";                      // Height of thumbnail image


//Image Locations
$normal_image_location = $upload_path. $normal_image_name;
$large_image_location = $upload_path. $large_image_name;
$thumb_image_location = $upload_path. $thumb_image_name;

//Check to see if any images with the same names already exist
if (file_exists($large_image_location)){
if (file_exists($thumb_image_location)){
$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name."\" alt=\"Thumbnail Image\"/>";
} else {
$thumb_photo_exists = "";
}

$large_photo_exists = "<img src=\"".$upload_path.$large_image_name."\" alt=\"Large Image\"/>";

} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}

// normal photo check
if (file_exists($normal_image_location)){
$normal_photo_exists = "<img src=\"".$upload_path.$normal_image_name."\" alt=\"Large Image\"/>";
} else {
$normal_photo_exists = "";
}

///////////////////////////////////////////////////////////////////////////////
// if upload with crop features
///////////////////////////////////////////////////////////////////////////////
if (isset($_POST["upload"])) {
//Get the file information
$userfile_name = $_FILES['image']['name'];
$userfile_type = $_FILES['image']['type'];
$userfile_tmp = $_FILES['image']['tmp_name'];
$userfile_size = $_FILES['image']['size'];
$filename = basename($_FILES['image']['name']);
$file_ext = substr($filename, strrpos($filename, '.') + 1);

//Only process if the file is a JPG and below the allowed limit
if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}

if($userfile_size > $max_file){
$error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
}
} else {
$error= __("Select an image for upload", TEMPLATE_DOMAIN);
}

//Everything is ok, so we can upload the image.
if (strlen($error)==0){
if (isset($_FILES['image']['name'])){
move_uploaded_file($userfile_tmp, $large_image_location);
chmod($large_image_location, 0777);
$width = getWidth($large_image_location);
$height = getHeight($large_image_location);
//Scale the image if it is greater than the width set above
if ($width > $max_width){
$scale = $max_width/$width;
$uploaded = resizeImage($large_image_location,$width,$height,$scale);
} else {
$scale = 1;
$uploaded = resizeImage($large_image_location,$width,$height,$scale);
}
//Delete the thumbnail file so the user can create a new one
if (file_exists($thumb_image_location)) {
unlink($thumb_image_location);
}
}

//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab1';";
print "</script>";
exit();


}
}

//echo admin_url( 'themes.php?page=custom-homepage#tab1' );


///////////////////////////////////////////////////////////////////////////////
// if upload with no crop features
///////////////////////////////////////////////////////////////////////////////
if (isset($_POST["normal-upload"])) {
//Get the file information
$userfile_name = $_FILES['image']['name'];
$userfile_type = $_FILES['image']['type'];
$userfile_tmp = $_FILES['image']['tmp_name'];
$userfile_size = $_FILES['image']['size'];
$filename = basename($_FILES['image']['name']);
$file_ext = substr($filename, strrpos($filename, '.') + 1);

//Only process if the file is a JPG and below the allowed limit
if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}

if($userfile_size > $max_file){
$error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
}
} else {
$error= __("Select an image for upload", TEMPLATE_DOMAIN);
}

//Everything is ok, so we can upload the image.
if (strlen($error)==0){
if (isset($_FILES['image']['name'])){
move_uploaded_file($userfile_tmp, $normal_image_location);
chmod($normal_image_location, 0777);
//Delete the thumbnail file so the user can create a new one
if (file_exists($thumb_image_location)) {
unlink($thumb_image_location);
}
}

//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab1';";
print "</script>";
exit();

}
}

if (isset($_POST["upload_thumbnail"]) && strlen($large_photo_exists)>0) {
	//Get the new coordinates to crop the image.
	$x1 = $_POST["x1"];
	$y1 = $_POST["y1"];
	$x2 = $_POST["x2"];
	$y2 = $_POST["y2"];
	$w = $_POST["w"];
	$h = $_POST["h"];
	//Scale the image to the thumb_width set above
	$scale = $thumb_width/$w;
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	//Reload the page again to view the thumbnail

//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"3;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab1\">";
exit();

}
?>

<?php
//Only display the javacript if an image has been uploaded
if( strlen($large_photo_exists) > 0 ) {
$current_large_image_width = getWidth($large_image_location);
$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) {
	var scaleX = <?php echo $thumb_width;?> / selection.width;
	var scaleY = <?php echo $thumb_height;?> / selection.height;

	$('#thumbnail + div > img').css({
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'
	});
	$('#x1').val(selection.x1);
	$('#y1').val(selection.y1);
	$('#x2').val(selection.x2);
	$('#y2').val(selection.y2);
	$('#w').val(selection.width);
	$('#h').val(selection.height);
}

$(document).ready(function () {
	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();
		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			alert("You must make a selection first");
			return false;
		}else{
			return true;
		}
	});
});

function selectionStart(img, selection) { width:300;height:100 }

$(window).load(function () {
	$('#thumbnail').imgAreaSelect({ onSelectStart: selectionStart, resizable: true, x1: 20, y1: 20, x2: 320, y2: 120, aspectRatio: '3:1', onSelectChange: preview });
});

</script>
<?php } ?>

<?php global $themename, $shortname;
if ( isset($_REQUEST['resetall']) && $_REQUEST['resetall'] )
echo '<div id="message" class="updated fade"><p><strong>' . __('All images deleted and settings reset', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>

<?php global $themename, $shortname, $options1;
if ( isset($_REQUEST['saved']) && $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>' . $themename . __(' settings saved', TEMPLATE_DOMAIN) . '</strong></p></div>';
if ( isset($_REQUEST['reset']) && $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>' . $themename . __(' settings reset', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>

<div id="tab1" class="option-box">
<div id="top-content-admin">
<h5><?php _e('Blog Top Header Image Settings - ' . $thumb_width . ' x ' . $thumb_height, TEMPLATE_DOMAIN); ?></h5>
</div>


<?php
if (isset($_POST["delete_thumbnail"])){
unlink("$upload_path/$large_image_name");
unlink("$upload_path/$thumb_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Cropped Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}

if (isset($_POST["delete_normal_upload"])){
unlink("$upload_path/$normal_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}

?>



<?php
//Display error message if there are any
if(isset($error) && strlen($error)>0){
echo "<p class=\"uperror\"><strong>" . _('Error!&nbsp;', TEMPLATE_DOMAIN) . "</strong> " . $error . "</p>";
}


if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded and cropped thumbnail, if you want to delete or replace the image, just press delete and reupload and recrop the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$thumb_image_name\" class=\"timg\"/>";
      echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_thumbnail' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

} else if( strlen($normal_photo_exists)>0 ){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded the image, if you want to delete or replace the image, just press delete and reupload the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$normal_image_name\" class=\"timg\"/>";
      echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_normal_upload' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

}

if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
} else {
if(strlen($large_photo_exists)>0){ ?>

<h4><?php _e('Crop And Save Your Thumbnail', TEMPLATE_DOMAIN); ?></h4>
<div>
<img src="<?php echo "$upload_url/$large_image_name"; ?>" style="clear: both; margin-bottom: 10px;" id="thumbnail" alt="Create Thumbnail" />
<br style="clear:both;"/>
<form name="thumbnail" action="" method="post">
<input type="hidden" name="x1" value="" id="x1" />
<input type="hidden" name="y1" value="" id="y1" />
<input type="hidden" name="x2" value="" id="x2" />
<input type="hidden" name="y2" value="" id="y2" />
<input type="hidden" name="w" value="" id="w" />
<input type="hidden" name="h" value="" id="h" />
<input type="submit" name="upload_thumbnail" class='button-secondary' value="<?php _e('Save Thumbnail', TEMPLATE_DOMAIN); ?>" id="save_thumb" />
</form>
</div>

<?php } } ?>


<?php if(strlen($large_photo_exists)==0 && strlen($normal_photo_exists)==0){ ?>
<h4><strong><?php _e('Upload Photo', TEMPLATE_DOMAIN); ?></strong></h4>
<form name="photo" class="photo" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post">
<input type="file" name="image" size="50" class="upz" />

<p><input type="submit" class='button-secondary' name="upload" value="<?php _e('Upload and Crop', TEMPLATE_DOMAIN); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" name="normal-upload" class='button-secondary' value="<?php _e('Upload', TEMPLATE_DOMAIN); ?>" /></p>

<p class="onlyjpg">* <?php _e("only",TEMPLATE_DOMAIN); ?> <?php echo $image_ext; ?> <?php _e("image file are allowed",TEMPLATE_DOMAIN); ?></p>
</form>

<?php } ?>




<form method="post" id="option-mz-form">


<h4><?php _e('Homepage Top Header Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options1 as $value) {

if (($value['inblock'] == "home-top-header") && ($value['type'] == "text") && (isset($value['custom']) && $value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-colour" id="vtrColorPicker" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-top-header") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-top-header") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option1) { ?>
<option<?php if ( get_option( $value['id'] ) == $option1) { echo ' selected="selected"'; } elseif ($option1 == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option1; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "home-intro") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php } } ?>



<input name="save" class='button-primary' type="submit" value="<?php echo esc_attr(__('Save Links', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="save" />

</form>



<form method="post">
<input name="reset" type="submit" class='button-primary' value="<?php echo esc_attr(__('Reset Links', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="reset" />
</form>


</div>

<?php




$normal_image_name = "intro_normal.jpg";
$large_image_name = "intro.jpg"; 		// New name of the large image
$thumb_image_name = "intro_crop.jpg"; 	// New name of the thumbnail image
$max_file = "1000000"; 						// Approx 1MB
$max_width = "800";							// Max width allowed for the large image
$thumb_width = "350";						// Width of thumbnail image
$thumb_height = "250";                      // Height of thumbnail image

//Image Locations
$normal_image_location = $upload_path.$normal_image_name;
$large_image_location = $upload_path.$large_image_name;
$thumb_image_location = $upload_path.$thumb_image_name;


//Check to see if any images with the same names already exist
if (file_exists($large_image_location)){
	if(file_exists($thumb_image_location)){
		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name."\" alt=\"Thumbnail Image\"/>";
	}else{
		$thumb_photo_exists = "";
	}
   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name."\" alt=\"Large Image\"/>";
} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}

//Check normal image
if (file_exists($normal_image_location)){
   	$normal_photo_exists = "<img src=\"".$upload_path.$normal_image_name."\" alt=\"Large Image\"/>";
} else {
   	$normal_photo_exists = "";
}


//crop image
if (isset($_POST["upload2"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}

        if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $large_image_location);
			chmod($large_image_location, 0777);

			$width = getWidth($large_image_location);
			$height = getHeight($large_image_location);
			//Scale the image if it is greater than the width set above
			if ($width > $max_width){
				$scale = $max_width/$width;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}else{
				$scale = 1;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}
			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
      //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab2';";
print "</script>";
exit();
}
}

//normal image
if (isset($_POST["normal-upload2"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}

        if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $normal_image_location);
			chmod($normal_image_location, 0777);


			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	   //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab2';";
print "</script>";
exit();

}
}



if (isset($_POST["upload_thumbnail2"]) && strlen($large_photo_exists)>0) {
	//Get the new coordinates to crop the image.
	$x1 = $_POST["x1"];
	$y1 = $_POST["y1"];
	$x2 = $_POST["x2"];
	$y2 = $_POST["y2"];
	$w = $_POST["w"];
	$h = $_POST["h"];
	//Scale the image to the thumb_width set above
	$scale = $thumb_width/$w;
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	//Reload the page again to view the thumbnail

	//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab2';";
print "</script>";
exit();

}
?>

<?php
//Only display the javacript if an image has been uploaded
if(strlen($large_photo_exists)>0){
	$current_large_image_width = getWidth($large_image_location);
	$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) {
	var scaleX = <?php echo $thumb_width;?> / selection.width;
	var scaleY = <?php echo $thumb_height;?> / selection.height;

	$('#thumbnail2 + div > img').css({
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'
	});
	$('#x1').val(selection.x1);
	$('#y1').val(selection.y1);
	$('#x2').val(selection.x2);
	$('#y2').val(selection.y2);
	$('#w').val(selection.width);
	$('#h').val(selection.height);
}

$(document).ready(function () {
	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();
		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			alert("You must make a selection first");
			return false;
		}else{
			return true;
		}
	});
});

function selectionStart(img, selection) { width:350;height:250 }

$(window).load(function () {
	$('#thumbnail2').imgAreaSelect({ onSelectStart: selectionStart, resizable: true, x1: 20, y1: 20, x2: 370, y2: 270, aspectRatio: '7:5', onSelectChange: preview });
});

</script>
<?php } ?>



<?php global $themename, $shortname, $options2;
if ( isset($_REQUEST['saved2']) && $_REQUEST['saved2'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
if ( isset($_REQUEST['reset2']) && $_REQUEST['reset2'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>

<div id="tab2" class="option-box">

<div id="top-content-admin">
<h5><?php _e('Blog Intro Header Image Settings - ' . $thumb_width . ' x ' . $thumb_height, TEMPLATE_DOMAIN); ?></h5>
</div>


<?php
if (isset($_POST["delete_thumbnail2"])){
unlink("$upload_path/$large_image_name");
unlink("$upload_path/$thumb_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Cropped Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}

if (isset($_POST["delete_normal_upload2"])){
unlink("$upload_path/$normal_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}
?>

<?php
//Display error message if there are any
if(isset($error) && strlen($error)>0){
echo "<p class=\"uperror\"><strong>" . __('Error!&nbsp;', TEMPLATE_DOMAIN) . "</strong>" . $error . "</p>";
}
if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded and cropped thumbnail, if you want to delete or replace the image, just press delete and reupload and recrop the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$thumb_image_name\" class=\"timg\"/>";
     echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_thumbnail2' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

} else if( strlen($normal_photo_exists)>0 ){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded image, if you want to delete or replace the image, just press delete and reupload the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$normal_image_name\" class=\"timg\"/>";
     echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_normal_upload2' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

}



if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
} else {
if(strlen($large_photo_exists)>0){ ?>

<h4><?php _e('Crop And Save Your Thumbnail', TEMPLATE_DOMAIN); ?></h4>
<div>
			<img src="<?php echo "$upload_url/$large_image_name"; ?>" style="clear: both; margin-bottom: 10px;" id="thumbnail2" alt="Create Thumbnail" />

			<br style="clear:both;"/>
			<form name="thumbnail" action="" method="post">
				<input type="hidden" name="x1" value="" id="x1" />
				<input type="hidden" name="y1" value="" id="y1" />
				<input type="hidden" name="x2" value="" id="x2" />
				<input type="hidden" name="y2" value="" id="y2" />
				<input type="hidden" name="w" value="" id="w" />
				<input type="hidden" name="h" value="" id="h" />
				<input type="submit" class='button-secondary' name="upload_thumbnail2" value="<?php _e('Save Thumbnail', TEMPLATE_DOMAIN); ?>" id="save_thumb" />
			</form>
		</div>
	<?php } } ?>


<?php if(strlen($large_photo_exists)==0 && strlen($normal_photo_exists)==0){ ?>
	<h4><?php _e('Upload Photo', TEMPLATE_DOMAIN); ?></h4>
	<form name="photo" class="photo" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post">
	<input type="file" name="image" class="upz" size="50" />
    <p><input type="submit" class='button-secondary' name="upload2" value="<?php _e('Upload and Crop', TEMPLATE_DOMAIN); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;
    <input type="submit" name="normal-upload2" class='button-secondary' value="<?php _e('Upload', TEMPLATE_DOMAIN); ?>" /></p>
    <p class="onlyjpg">* <?php _e("only",TEMPLATE_DOMAIN); ?> <?php echo $image_ext; ?> <?php _e("image file are allowed",TEMPLATE_DOMAIN); ?></p>
	</form>

<?php } ?>

<form method="post" id="option-mz-form">

<h4><?php _e('Homepage Intro Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options2 as $value) {

if (($value['inblock'] == "home-intro") && ($value['type'] == "text") && (isset($value['custom']) && $value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-colour" id="vtrColorPicker" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-intro") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-intro") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option2) { ?>
<option<?php if ( get_option( $value['id'] ) == $option2) { echo ' selected="selected"'; } elseif ($option2 == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option2; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "home-intro") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>

<p>
<textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p>
</div>
<?php }
}
?>


<input name="save" type="submit" class='button-primary' value="<?php echo esc_attr(__('Save Text', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="save2" />

</form>


<form method="post">

<input name="reset" type="submit" class='button-primary' value="<?php echo esc_attr(__('Reset Text', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="reset2" />

</form>

</div>


<?php





$normal_image_name = "box_cat_left_normal.jpg";
$large_image_name = "box_cat_left.jpg"; 		// New name of the large image
$thumb_image_name = "box_cat_left_crop.jpg"; 	// New name of the thumbnail image
$max_file = "1000000"; 						// Approx 1MB
$max_width = "800";							// Max width allowed for the large image
$thumb_width = "290";						// Width of thumbnail image
$thumb_height = "150";                     // Height of thumbnail image


//Image Locations
$normal_image_location = $upload_path.$normal_image_name;
$large_image_location = $upload_path.$large_image_name;
$thumb_image_location = $upload_path.$thumb_image_name;

//Check to see if any images with the same names already exist
if (file_exists($large_image_location)){
	if(file_exists($thumb_image_location)){
		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name."\" alt=\"Thumbnail Image\"/>";
	}else{
		$thumb_photo_exists = "";
	}
   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name."\" alt=\"Large Image\"/>";
} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}


//Check normal image
if (file_exists($normal_image_location)){
   	$normal_photo_exists = "<img src=\"".$upload_path.$normal_image_name."\" alt=\"Large Image\"/>";
} else {
   	$normal_photo_exists = "";
}


if (isset($_POST["upload3"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}


        if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $large_image_location);
			chmod($large_image_location, 0777);

			$width = getWidth($large_image_location);
			$height = getHeight($large_image_location);
			//Scale the image if it is greater than the width set above
			if ($width > $max_width){
				$scale = $max_width/$width;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}else{
				$scale = 1;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}
			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	  //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab3';";
print "</script>";
exit();
}
}

//normal upload
if (isset($_POST["normal-upload3"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}


        if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $normal_image_location);
			chmod($normal_image_location, 0777);


			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	   //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab3';";
print "</script>";
exit();
}
}


if (isset($_POST["upload_thumbnail3"]) && strlen($large_photo_exists)>0) {
	//Get the new coordinates to crop the image.
	$x1 = $_POST["x1"];
	$y1 = $_POST["y1"];
	$x2 = $_POST["x2"];
	$y2 = $_POST["y2"];
	$w = $_POST["w"];
	$h = $_POST["h"];
	//Scale the image to the thumb_width set above
	$scale = $thumb_width/$w;
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	//Reload the page again to view the thumbnail

	//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab3';";
print "</script>";
exit();

}

?>

<?php
//Only display the javacript if an image has been uploaded
if(strlen($large_photo_exists)>0){
	$current_large_image_width = getWidth($large_image_location);
	$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) {
	var scaleX = <?php echo $thumb_width;?> / selection.width;
	var scaleY = <?php echo $thumb_height;?> / selection.height;

	$('#thumbnail3 + div > img').css({
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'
	});
	$('#x1').val(selection.x1);
	$('#y1').val(selection.y1);
	$('#x2').val(selection.x2);
	$('#y2').val(selection.y2);
	$('#w').val(selection.width);
	$('#h').val(selection.height);
}

$(document).ready(function () {
	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();
		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			alert("You must make a selection first");
			return false;
		}else{
			return true;
		}
	});
});

function selectionStart(img, selection) { width:290;height:150 }

$(window).load(function () {
	$('#thumbnail3').imgAreaSelect({ onSelectStart: selectionStart, resizable: true, x1: 20, y1: 20, x2: 310, y2: 170, aspectRatio: '29:15', onSelectChange: preview });
});

</script>
<?php }?>



<?php global $themename, $shortname, $options3;
if ( isset($_REQUEST['saved3']) && $_REQUEST['saved3'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
if ( isset($_REQUEST['reset3']) && $_REQUEST['reset3'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>

<div id="tab3" class="option-box">

<div id="top-content-admin">
<h5><?php _e('Blog Box Left Image Settings - ' . $thumb_width . ' x ' . $thumb_height, TEMPLATE_DOMAIN); ?></h5>
</div>

<?php
if (isset($_POST["delete_thumbnail3"])){
unlink("$upload_path/$large_image_name");
unlink("$upload_path/$thumb_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Cropped Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}

if (isset($_POST["delete_normal_upload3"])){
unlink("$upload_path/$normal_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}
?>

<?php
//Display error message if there are any
if(isset($error) && strlen($error)>0){
	echo "<p class=\"uperror\"><strong>" .__('Error!&nbsp;', TEMPLATE_DOMAIN) . "</strong>" . $error . "</p>";
}

if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded and cropped thumbnail, if you want to delete or replace the image, just press delete and reupload and recrop the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$thumb_image_name\" class=\"timg\"/>";
   echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_thumbnail3' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

} else if( strlen($normal_photo_exists)>0 ){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded image, if you want to delete or replace the image, just press delete and reupload the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$normal_image_name\" class=\"timg\"/>";
   echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_normal_upload3' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

}



if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
} else {
if(strlen($large_photo_exists)>0){ ?>
<h4><?php _e('Crop And Save Your Thumbnail', TEMPLATE_DOMAIN); ?></h4>
		<div>
			<img src="<?php echo "$upload_url/$large_image_name"; ?>" style="clear: both; margin-bottom: 10px;" id="thumbnail3" alt="Create Thumbnail" />

			<br style="clear:both;"/>
			<form name="thumbnail" action="" method="post">
				<input type="hidden" name="x1" value="" id="x1" />
				<input type="hidden" name="y1" value="" id="y1" />
				<input type="hidden" name="x2" value="" id="x2" />
				<input type="hidden" name="y2" value="" id="y2" />
				<input type="hidden" name="w" value="" id="w" />
				<input type="hidden" name="h" value="" id="h" />
				<input type="submit" class='button-secondary' name="upload_thumbnail3" value="<?php _e('Save Thumbnail', TEMPLATE_DOMAIN); ?>" id="save_thumb" />
			</form>
		</div>
	<hr />
<?php } } ?>



    <?php if(strlen($large_photo_exists)==0 && strlen($normal_photo_exists)==0){ ?>
	<h4><?php _e('Upload Photo', TEMPLATE_DOMAIN); ?></h4>
	<form name="photo" class="photo" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post">
	<input type="file" name="image" class="upz" size="50" />
    <p><input type="submit" class='button-secondary' name="upload3" value="<?php _e('Upload and Crop', TEMPLATE_DOMAIN); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" name="normal-upload3" class='button-secondary' value="<?php _e('Upload', TEMPLATE_DOMAIN); ?>" /></p>
<p class="onlyjpg">* <?php _e("only",TEMPLATE_DOMAIN); ?> <?php echo $image_ext; ?> <?php _e("image file are allowed",TEMPLATE_DOMAIN); ?></p>
</form>

<?php } ?>

<form method="post" id="option-mz-form">


<h4><?php _e('Homepage Box Left Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options3 as $value) {

if (($value['inblock'] == "home-box1") && ($value['type'] == "text") && (isset($value['custom']) && $value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-colour" id="vtrColorPicker" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-box1") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-box1") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option3) { ?>
<option<?php if ( get_option( $value['id'] ) == $option3) { echo ' selected="selected"'; } elseif ($option3 == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option3; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "home-box1") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php }
}
?>


<input name="save" type="submit" class='button-primary' value="<?php _e('Save Text', TEMPLATE_DOMAIN); ?>" />
<input type="hidden" name="action" value="save3" />
</form>


<form method="post">
<input name="reset" type="submit" class='button-primary' value="<?php _e('Reset Text', TEMPLATE_DOMAIN); ?>" />
<input type="hidden" name="action" value="reset3" />
</form>

</div>

<?php





$normal_image_name = "box_cat_center_normal.jpg";
$large_image_name = "box_cat_center.jpg"; 		// New name of the large image
$thumb_image_name = "box_cat_center_crop.jpg"; 	// New name of the thumbnail image
$max_file = "1000000"; 						// Approx 1MB
$max_width = "800";							// Max width allowed for the large image
$thumb_width = "290";						// Width of thumbnail image
$thumb_height = "150";                    // Height of thumbnail image


//Image Locations
$normal_image_location = $upload_path.$normal_image_name;
$large_image_location = $upload_path.$large_image_name;
$thumb_image_location = $upload_path.$thumb_image_name;



//Check to see if any images with the same names already exist
if (file_exists($large_image_location)){
	if(file_exists($thumb_image_location)){
		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name."\" alt=\"Thumbnail Image\"/>";
	}else{
		$thumb_photo_exists = "";
	}
   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name."\" alt=\"Large Image\"/>";
} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}

//Check normal image
if (file_exists($normal_image_location)){
   	$normal_photo_exists = "<img src=\"".$upload_path.$normal_image_name."\" alt=\"Large Image\"/>";
} else {
   	$normal_photo_exists = "";
}




if (isset($_POST["upload4"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}

        if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $large_image_location);
			chmod($large_image_location, 0777);

			$width = getWidth($large_image_location);
			$height = getHeight($large_image_location);
			//Scale the image if it is greater than the width set above
			if ($width > $max_width){
				$scale = $max_width/$width;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}else{
				$scale = 1;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}
			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	  //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab4';";
print "</script>";
exit();
}
}


if (isset($_POST["normal-upload4"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}

        if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $normal_image_location);
			chmod($normal_image_location, 0777);


			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	   	//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab4';";
print "</script>";
exit();
}
}






if (isset($_POST["upload_thumbnail4"]) && strlen($large_photo_exists)>0) {
	//Get the new coordinates to crop the image.
	$x1 = $_POST["x1"];
	$y1 = $_POST["y1"];
	$x2 = $_POST["x2"];
	$y2 = $_POST["y2"];
	$w = $_POST["w"];
	$h = $_POST["h"];
	//Scale the image to the thumb_width set above
	$scale = $thumb_width/$w;
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	//Reload the page again to view the thumbnail

	//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab4';";
print "</script>";
exit();

}

?>

<?php
//Only display the javacript if an image has been uploaded
if(strlen($large_photo_exists)>0){
	$current_large_image_width = getWidth($large_image_location);
	$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) {
	var scaleX = <?php echo $thumb_width;?> / selection.width;
	var scaleY = <?php echo $thumb_height;?> / selection.height;

	$('#thumbnail4 + div > img').css({
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'
	});
	$('#x1').val(selection.x1);
	$('#y1').val(selection.y1);
	$('#x2').val(selection.x2);
	$('#y2').val(selection.y2);
	$('#w').val(selection.width);
	$('#h').val(selection.height);
}

$(document).ready(function () {
	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();
		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			alert("You must make a selection first");
			return false;
		}else{
			return true;
		}
	});
});

function selectionStart(img, selection) { width:290;height:150 }

$(window).load(function () {
	$('#thumbnail4').imgAreaSelect({ onSelectStart: selectionStart, resizable: true, x1: 20, y1: 20, x2: 310, y2: 170, aspectRatio: '29:15', onSelectChange: preview });
});

</script>
<?php }?>

<?php global $themename, $shortname, $options4;
if ( isset($_REQUEST['saved4']) && $_REQUEST['saved4'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
if ( isset($_REQUEST['reset4']) && $_REQUEST['reset4'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>

<div id="tab4" class="option-box">
<div id="top-content-admin">
<h5><?php _e('Blog Box Center Image Settings - ' . $thumb_width . ' x ' . $thumb_height, TEMPLATE_DOMAIN); ?></h5>
</div>

<?php
if (isset($_POST["delete_thumbnail4"])){
unlink("$upload_path/$large_image_name");
unlink("$upload_path/$thumb_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Cropped Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}

if (isset($_POST["delete_normal_upload4"])){
unlink("$upload_path/$normal_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php";
print "</script>";
echo "<h4 id='loading-bar'>" . __('Your Image Currently Deleting', TEMPLATE_DOMAIN) . "</h4>";
print "<meta http-equiv=\"refresh\" content=\"2;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
exit();
}
?>


<?php
//Display error message if there are any
if(isset($error) && strlen($error)>0){
	echo "<p class=\"uperror\"><strong>" . __('Error!&nbsp;', TEMPLATE_DOMAIN) . "</strong>" . $error . "</p>";
}

if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
	echo __("<p><strong>NOTE:</strong> Successfully upload and crop thumbnail, if you want to delete or replace the image, just press delete and reupload and recrop the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$thumb_image_name\" class=\"timg\"/>";
      echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_thumbnail4' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

} else if(strlen($normal_photo_exists)>0 ){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded image, if you want to delete or replace the image, just press delete and reupload the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$normal_image_name\" class=\"timg\"/>";
      echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_normal_upload4' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

}



if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
} else {
if(strlen($large_photo_exists)>0){ ?>
<h4><?php _e('Crop And Save Your Thumbnail', TEMPLATE_DOMAIN); ?></h4>
		<div>
			<img src="<?php echo "$upload_url/$large_image_name"; ?>" style="clear: both; margin-bottom: 10px;" id="thumbnail4" alt="Create Thumbnail" />

			<br style="clear:both;"/>
			<form name="thumbnail" action="" method="post">
				<input type="hidden" name="x1" value="" id="x1" />
				<input type="hidden" name="y1" value="" id="y1" />
				<input type="hidden" name="x2" value="" id="x2" />
				<input type="hidden" name="y2" value="" id="y2" />
				<input type="hidden" name="w" value="" id="w" />
				<input type="hidden" name="h" value="" id="h" />
				<input type="submit" class='button-secondary' name="upload_thumbnail4" value="<?php _e('Save Thumbnail', TEMPLATE_DOMAIN); ?>" id="save_thumb" />
			</form>
		</div>
	<hr />
	<?php } } ?>

    <?php if(strlen($large_photo_exists)==0 && strlen($normal_photo_exists)==0){ ?>
	<h4><?php _e('Upload Photo', TEMPLATE_DOMAIN); ?></h4>
	<form name="photo" class="photo" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post">
	<input type="file" name="image" class="upz" size="50" />
    <p><input type="submit" class='button-secondary' name="upload4" value="<?php _e('Upload and Crop', TEMPLATE_DOMAIN); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class='button-secondary' name="normal-upload4" value="<?php _e('Upload', TEMPLATE_DOMAIN); ?>" /></p>
    <p class="onlyjpg">* <?php _e("only",TEMPLATE_DOMAIN); ?> <?php echo $image_ext; ?> <?php _e("image file are allowed",TEMPLATE_DOMAIN); ?></p>
	</form>

<?php } ?>

<form method="post" id="option-mz-form">

<h4><?php _e('Homepage Box Center Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options4 as $value) {

if (($value['inblock'] == "home-box2") && ($value['type'] == "text") && (isset($value['custom']) && $value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-colour" id="vtrColorPicker" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-box2") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-box2") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option4) { ?>
<option<?php if ( get_option( $value['id'] ) == $option4) { echo ' selected="selected"'; } elseif ($option3 == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option4; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "home-box2") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php
}
}
?>

<input name="save" type="submit" class='button-primary' value="<?php echo esc_attr(__('Save Text', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="save4" />
</form>


<form method="post">
<input name="reset" type="submit" class='button-primary' value="<?php echo esc_attr(__('Reset Text', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="reset4" />
</form>

</div>

<?php



$normal_image_name = "box_cat_right_normal.jpg";
$large_image_name = "box_cat_right.jpg"; 		// New name of the large image
$thumb_image_name = "box_cat_right_crop.jpg"; 	// New name of the thumbnail image
$max_file = "1000000"; 						// Approx 1MB
$max_width = "800";							// Max width allowed for the large image
$thumb_width = "290";						// Width of thumbnail image
$thumb_height = "150";                    // Height of thumbnail image

//Image Locations
$normal_image_location = $upload_path.$normal_image_name;
$large_image_location = $upload_path.$large_image_name;
$thumb_image_location = $upload_path.$thumb_image_name;

//Check to see if any images with the same names already exist
if (file_exists($large_image_location)){
	if(file_exists($thumb_image_location)){
		$thumb_photo_exists = "<img src=\"".$upload_path.$thumb_image_name."\" alt=\"Thumbnail Image\"/>";
	}else{
		$thumb_photo_exists = "";
	}
   	$large_photo_exists = "<img src=\"".$upload_path.$large_image_name."\" alt=\"Large Image\"/>";
} else {
   	$large_photo_exists = "";
	$thumb_photo_exists = "";
}


//Check normal img
if (file_exists($normal_image_location)){
   	$normal_photo_exists = "<img src=\"".$upload_path.$normal_image_name."\" alt=\"Large Image\"/>";
} else {
   	$normal_photo_exists = "";
}


if (isset($_POST["upload5"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}



if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $large_image_location);
			chmod($large_image_location, 0777);

			$width = getWidth($large_image_location);
			$height = getHeight($large_image_location);
			//Scale the image if it is greater than the width set above
			if ($width > $max_width){
				$scale = $max_width/$width;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}else{
				$scale = 1;
				$uploaded = resizeImage($large_image_location,$width,$height,$scale);
			}
			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	  //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab5';";
print "</script>";
exit();
	}
}

// normal upload
if (isset($_POST["normal-upload5"])) {
	//Get the file information
	$userfile_name = $_FILES['image']['name'];
	$userfile_tmp = $_FILES['image']['tmp_name'];
    $userfile_type = $_FILES['image']['type'];
	$userfile_size = $_FILES['image']['size'];
	$filename = basename($_FILES['image']['name']);
	$file_ext = substr($filename, strrpos($filename, '.') + 1);

	//Only process if the file is a JPG and below the allowed limit
	if((!empty($_FILES["image"])) && ($_FILES['image']['error'] == 0)) {

foreach ($allowed_image_types as $mime_type => $ext) {
//loop through the specified image types and if they match the extension then break out
//everything is ok so go and check file size
if($file_ext==$ext && $userfile_type==$mime_type){
$error = "";
break;
} else {
$error = __("Only",TEMPLATE_DOMAIN) . "<strong>".$image_ext."</strong>" . __("images accepted for upload", TEMPLATE_DOMAIN) . "<br />";
}
}



if($userfile_size > $max_file){
            $error= __("ONLY images under 1MB are accepted for upload", TEMPLATE_DOMAIN);
        }
	} else {
		$error= __("Select an image for upload", TEMPLATE_DOMAIN);
	}
	//Everything is ok, so we can upload the image.
	if (strlen($error)==0){

		if (isset($_FILES['image']['name'])){

			move_uploaded_file($userfile_tmp, $normal_image_location);
			chmod($normal_image_location, 0777);


			//Delete the thumbnail file so the user can create a new one
			if (file_exists($thumb_image_location)) {
				unlink($thumb_image_location);
			}
		}
	   //Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab5';";
print "</script>";
exit();
}
}






if (isset($_POST["upload_thumbnail5"]) && strlen($large_photo_exists)>0) {
	//Get the new coordinates to crop the image.
	$x1 = $_POST["x1"];
	$y1 = $_POST["y1"];
	$x2 = $_POST["x2"];
	$y2 = $_POST["y2"];
	$w = $_POST["w"];
	$h = $_POST["h"];
	//Scale the image to the thumb_width set above
	$scale = $thumb_width/$w;
	$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	//Reload the page again to view the thumbnail


	//Refresh the page to show the new uploaded image
print '<meta http-equiv="Pragma" content="no-cache">';
echo "<h4 id=\"loading-bar\">Please wait..Your Image Currently Processing</h4>";
echo '<img src="' . get_template_directory_uri() . '/_inc/admin/loading_bar.gif' . '">';
print "<meta http-equiv=\"refresh\" content=\"1;url=$ttpl_url/wp-admin/themes.php?page=custom-homepage.php\">";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php&#tab5';";
print "</script>";
exit();

}

?>

<?php
//Only display the javacript if an image has been uploaded
if(strlen($large_photo_exists)>0){
	$current_large_image_width = getWidth($large_image_location);
	$current_large_image_height = getHeight($large_image_location);?>
<script type="text/javascript">
function preview(img, selection) {
	var scaleX = <?php echo $thumb_width;?> / selection.width;
	var scaleY = <?php echo $thumb_height;?> / selection.height;

	$('#thumbnail5 + div > img').css({
		width: Math.round(scaleX * <?php echo $current_large_image_width;?>) + 'px',
		height: Math.round(scaleY * <?php echo $current_large_image_height;?>) + 'px',
		marginLeft: '-' + Math.round(scaleX * selection.x1) + 'px',
		marginTop: '-' + Math.round(scaleY * selection.y1) + 'px'
	});
	$('#x1').val(selection.x1);
	$('#y1').val(selection.y1);
	$('#x2').val(selection.x2);
	$('#y2').val(selection.y2);
	$('#w').val(selection.width);
	$('#h').val(selection.height);
}

$(document).ready(function () {
	$('#save_thumb').click(function() {
		var x1 = $('#x1').val();
		var y1 = $('#y1').val();
		var x2 = $('#x2').val();
		var y2 = $('#y2').val();
		var w = $('#w').val();
		var h = $('#h').val();
		if(x1=="" || y1=="" || x2=="" || y2=="" || w=="" || h==""){
			alert("You must make a selection first");
			return false;
		}else{
			return true;
		}
	});
});

function selectionStart(img, selection) { width:290;height:150 }

$(window).load(function () {
	$('#thumbnail5').imgAreaSelect({ onSelectStart: selectionStart, resizable: true, x1: 20, y1: 20, x2: 310, y2: 170, aspectRatio: '29:15', onSelectChange: preview });
});

</script>
<?php }?>

<?php global $themename, $shortname, $options5;
if ( isset($_REQUEST['saved5']) && $_REQUEST['saved5'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
if ( isset($_REQUEST['reset5']) && $_REQUEST['reset5'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
?>


<div id="tab5" class="option-box">

<div id="top-content-admin">
<h5><?php _e('Blog Box Right Image Settings - ' . $thumb_width . ' x ' . $thumb_height, TEMPLATE_DOMAIN); ?></h5>
</div>

<?php
if (isset($_POST["delete_thumbnail5"])){
unlink("$upload_path/$large_image_name");
unlink("$upload_path/$thumb_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php';";
print "</script>";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php';";
print "</script>";
exit();
}

if (isset($_POST["delete_normal_upload5"])){
unlink("$upload_path/$normal_image_name");
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php';";
print "</script>";
print "<script>";
print " self.location='$ttpl_url/wp-admin/themes.php?page=custom-homepage.php';";
print "</script>";
exit();
}
?>

<?php
//Display error message if there are any
if(isset($error) && strlen($error)>0){
echo "<p class=\"uperror\"><strong>" . __('Error!&nbsp;', TEMPLATE_DOMAIN) . "</strong>" . $error . "</p>";
}
if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded and cropped thumbnail, if you want to delete or replace the image, just press delete and reupload and recrop the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$thumb_image_name\" class=\"timg\"/>";
  echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_thumbnail5' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

} else if(strlen($normal_photo_exists)>0 ){
	echo __("<p><strong>NOTE:</strong> Successfully uploaded images, if you want to delete or replace the image, just press delete and reupload the new image</p>", TEMPLATE_DOMAIN);
    echo "<img src=\"$upload_url/$normal_image_name\" class=\"timg\"/>";
  echo "<form name='thumbnail' action='' method='post'>
    <input type='submit' name='delete_normal_upload5' class='button-secondary' value='" . __("Delete This Image", TEMPLATE_DOMAIN) . "' /></form>";

}



if(strlen($large_photo_exists)>0 && strlen($thumb_photo_exists)>0){
} else {
if(strlen($large_photo_exists)>0){ ?>
		<h4><?php _e('Crop And Save Your Thumbnail', TEMPLATE_DOMAIN); ?></h4>
		<div>
			<img src="<?php echo "$upload_url/$large_image_name"; ?>" style="clear: both; margin-bottom: 10px;" id="thumbnail5" alt="Create Thumbnail" />

			<br style="clear:both;"/>
			<form name="thumbnail" action="" method="post">
				<input type="hidden" name="x1" value="" id="x1" />
				<input type="hidden" name="y1" value="" id="y1" />
				<input type="hidden" name="x2" value="" id="x2" />
				<input type="hidden" name="y2" value="" id="y2" />
				<input type="hidden" name="w" value="" id="w" />
				<input type="hidden" name="h" value="" id="h" />
				<input type="submit" name="upload_thumbnail5" class='button-secondary' value="<?php _e('Save Thumbnail', TEMPLATE_DOMAIN); ?>" id="save_thumb" />
			</form>
		</div>
	<hr />
	<?php }	} ?>

    <?php if(strlen($large_photo_exists)==0 && strlen($normal_photo_exists)==0){ ?>
	<h4><?php _e('Upload Photo', TEMPLATE_DOMAIN); ?></h4>
	<form name="photo" class="photo" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post">
	<input type="file" name="image" class="upz" size="50" />
    <p><input type="submit" class='button-secondary' name="upload5" value="<?php _e('Upload and Crop', TEMPLATE_DOMAIN); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class='button-secondary' name="normal-upload5" value="<?php _e('Upload', TEMPLATE_DOMAIN); ?>" /></p>
    <p class="onlyjpg">* <?php _e("only",TEMPLATE_DOMAIN); ?> <?php echo $image_ext; ?> <?php _e("image file are allowed",TEMPLATE_DOMAIN); ?></p>
	</form>

<?php } ?>

<form method="post" id="option-mz-form">

<h4><?php _e('Homepage Box Right Settings', TEMPLATE_DOMAIN); ?></h4>
<?php foreach ($options5 as $value) {

if (($value['inblock'] == "home-box3") && ($value['type'] == "text") && (isset($value['custom']) && $value['custom'] == "colourpicker")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-colour" id="vtrColorPicker" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-box3") && ($value['type'] == "text")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><input name="<?php echo $value['id']; ?>" class="ops-text" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>

<?php } elseif (($value['inblock'] == "home-box3") && ($value['type'] == "select")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<p><select name="<?php echo $value['id']; ?>" class="ops-select" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option5) { ?>
<option<?php if ( get_option( $value['id'] ) == $option5) { echo ' selected="selected"'; } elseif ($option3 == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option5; ?></option>
<?php } ?>
</select>
</p></div>

<?php } elseif (($value['inblock'] == "home-box3") && ($value['type'] == "textarea")) { ?>

<div class="pwrap">
<p><?php echo $value['name']; ?>:</p>
<?php $valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_option($valuey);
?>
<p><textarea class="ops-area" name="<?php echo $valuey; ?>" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?></textarea>
</p></div>
<?php } } ?>


<input name="save" type="submit" class='button-primary' value="<?php echo esc_attr(__('Save Text', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="save5" />
</form>


<form method="post">
<input name="reset" type="submit" class='button-primary' value="<?php echo esc_attr(__('Reset Text', TEMPLATE_DOMAIN)); ?>" />
<input type="hidden" name="action" value="reset5" />
</form>
</div>


<p align="center" >
<form method="post">
<input name="reset" style="font-size: 13px !important;"type="submit" class='button-secondary' onclick="return confirm('Are you sure you want to delete all images and reset all saved settings?. This action cannot be restore.')" value="<?php _e('Delete all images and reset all text options', TEMPLATE_DOMAIN); ?>" />
<input type="hidden" name="action" value="resetall" />
</form>
</p>



</div><!-- end content wrap -->
</div><!-- end -->
<?php }



function wpmudev_custom_homepage_page() {

global $themename, $shortname, $shortprefix, $options1, $options2, $options3, $options4, $options5;


if ( isset($_GET['page']) && $_GET['page'] == "custom-homepage.php" ) {
if ( isset($_REQUEST['action']) && 'save' == $_REQUEST['action'] ) {
foreach ($options1 as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options1 as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } }
header("Location: themes.php?page=custom-homepage.php&saved=true");
die;
} else if( isset($_REQUEST['action']) && 'reset' == $_REQUEST['action'] ) {
foreach ($options1 as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=custom-homepage.php&reset=true");
die;
}
}

if ( isset($_GET['page']) && $_GET['page'] == "custom-homepage.php" ) {
if ( isset($_REQUEST['action']) && 'save2' == $_REQUEST['action'] ) {
foreach ($options2 as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options2 as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } }
header("Location: themes.php?page=custom-homepage.php&saved=true");
die;
} else if( isset($_REQUEST['action']) && 'reset2' == $_REQUEST['action'] ) {
foreach ($options2 as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=custom-homepage.php&reset=true");
die;
}
}


if ( isset($_GET['page']) && $_GET['page'] == "custom-homepage.php" ) {
if ( isset($_REQUEST['action']) && 'save3' == $_REQUEST['action'] ) {
foreach ($options3 as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options3 as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } }
header("Location: themes.php?page=custom-homepage.php&saved=true");
die;
} else if( isset($_REQUEST['action']) && 'reset3' == $_REQUEST['action'] ) {
foreach ($options3 as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=custom-homepage.php&reset=true");
die;
}
}

if ( isset($_GET['page']) && $_GET['page'] == "custom-homepage.php" ) {
if ( isset($_REQUEST['action']) && 'save4' == $_REQUEST['action'] ) {
foreach ($options4 as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options4 as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } }
header("Location: themes.php?page=custom-homepage.php&saved=true");
die;
} else if( isset($_REQUEST['action']) && 'reset4' == $_REQUEST['action'] ) {
foreach ($options4 as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=custom-homepage.php&reset=true");
die;
}
}

if ( isset($_GET['page']) && $_GET['page'] == "custom-homepage.php" ) {
if ( isset($_REQUEST['action']) && 'save5' == $_REQUEST['action'] ) {
foreach ($options5 as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options5 as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } }
header("Location: themes.php?page=custom-homepage.php&saved=true");
die;
} else if( isset($_REQUEST['action']) && 'reset5' == $_REQUEST['action'] ) {
foreach ($options5 as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=custom-homepage.php&reset=true");
die;
}
}



if ( isset($_GET['page']) && $_GET['page'] == "custom-homepage.php" ) {
if( isset($_REQUEST['action']) && 'resetall' == $_REQUEST['action'] ) {
foreach ($options1 as $value){ delete_option( $value['id'] ); }
foreach ($options2 as $value){ delete_option( $value['id'] ); }
foreach ($options3 as $value){ delete_option( $value['id'] ); }
foreach ($options4 as $value){ delete_option( $value['id'] ); }
foreach ($options5 as $value){ delete_option( $value['id'] ); }

/////////////////////////////////////////////////////You can alter these options///////////////////////////
$gallery_folder = "thumb";
if( is_multisite() ) {
$check_if_folder = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id . "/" . $gallery_folder;
} else {
$check_if_folder = WP_CONTENT_DIR . "/" . $gallery_folder;
}
//echo $check_if_folder;
/////////////////////////////////////////////////////You can alter these options///////////////////////////

if(is_dir($check_if_folder)) {

if( is_multisite() ) {
$tpl_url = site_url();
$ptp = get_template();
$upload_dir = "files"; 				// The directory for the images to be saved in

$upload_path = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id . "/" . $gallery_folder . "/";
$upload_path_blogid = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id;
$upload_path_check = WP_CONTENT_DIR . '/blogs.dir/' . $blog_id . "/" . $gallery_folder;
$ttpl = get_template_directory_uri();
$ttpl_url = site_url();
$upload_url = $ttpl_url .  "/wp-content/blogs.dir/" . $blog_id . "/" . $gallery_folder;
$ttpl_path = $ttpl_url .  "/wp-content/blogs.dir/" . $blog_id . "/" . $gallery_folder;

//Create the upload directory with the right permissions if it doesn't exist
if( !is_dir($upload_path_blogid) ){
mkdir($upload_path_blogid, 0777);
chmod($upload_path_blogid, 0777);
}


} else {

$tpl_url = get_site_url();
$ptp = get_template();
$upload_dir = "files"; 				// The directory for the images to be saved in
$upload_path = WP_CONTENT_DIR . "/" . $gallery_folder . "/";
$upload_path_check = WP_CONTENT_DIR . '/' . $gallery_folder;
$ttpl = get_template_directory_uri();
$ttpl_url = site_url();
$upload_url = $ttpl_url . "/wp-content/" . $gallery_folder;
$ttpl_path = $ttpl_url . "/wp-content/" . $gallery_folder;

//Create the upload directory with the right permissions if it doesn't exist
if( !is_dir($upload_path_check) ){
mkdir($upload_path_check, 0777);
chmod($upload_path_check, 0777);
}

}


} else { // new path for new versions


$uploads = wp_upload_dir();
$upload_files_path = get_option('upload_path');

global $blog_id;
$tpl_url = get_site_url();
$ptp = get_template();
$uploads_folder = "thumb";

$upload_path = $uploads['basedir'] . '/' . $uploads_folder . "/";
$upload_path_check = $uploads['basedir'] . '/' . $uploads_folder;

$ttpl = get_template_directory_uri();
$ttpl_url = site_url();


//Create the upload directory with the right permissions if it doesn't exist
if( !is_dir($upload_path_check) ){
mkdir($upload_path_check, 0777);
chmod($upload_path_check, 0777);
}

$upload_url_trim = str_replace( WP_CONTENT_DIR, "", $uploads['basedir'] );
//echo $upload_url_trim;
if (substr($upload_url_trim, -1) == '/') {
$upload_url_trim = rtrim($upload_url_trim, '/');
}

$ttpl_path = WP_CONTENT_URL . $upload_url_trim  . '/' . $uploads_folder;;
$upload_url = WP_CONTENT_URL . $upload_url_trim  . '/' . $uploads_folder;

}





if(file_exists($upload_path . 'top_header.jpg')) {
unlink("$upload_path_check/top_header.jpg");
unlink("$upload_path_check/top_header_crop.jpg");
}

if(file_exists($upload_path . 'intro.jpg')) {
unlink("$upload_path_check/intro.jpg");
unlink("$upload_path_check/intro_crop.jpg");
}

if(file_exists($upload_path . 'box_cat_left.jpg')) {
unlink("$upload_path_check/box_cat_left.jpg");
unlink("$upload_path_check/box_cat_left_crop.jpg");
}

if(file_exists($upload_path . 'box_cat_center.jpg')) {
unlink("$upload_path_check/box_cat_center.jpg");
unlink("$upload_path_check/box_cat_center_crop.jpg");
}

if(file_exists($upload_path . 'box_cat_right.jpg')) {
unlink("$upload_path_check/box_cat_right.jpg");
unlink("$upload_path_check/box_cat_right_crop.jpg");
}

//normal unlink
if(file_exists($upload_path . 'top_header_normal.jpg')) {
unlink("$upload_path_check/top_header_normal.jpg");
}

if(file_exists($upload_path . 'intro_normal.jpg')) {
unlink("$upload_path_check/intro_normal.jpg");
}

if(file_exists($upload_path . 'box_cat_left_normal.jpg')) {
unlink("$upload_path_check/box_cat_left_normal.jpg");
}

if(file_exists($upload_path . 'box_cat_center_normal.jpg')) {
unlink("$upload_path_check/box_cat_center_normal.jpg");
}

if(file_exists($upload_path . 'box_cat_right_normal.jpg')) {
unlink("$upload_path_check/box_cat_right_normal.jpg");

}

if( is_dir( $upload_path ) ) {
deleteDirectory( $upload_path );
}

header("Location: themes.php?page=custom-homepage.php&resetall=true");
die;
}
}

add_theme_page(_g (__('Custom Homepage', TEMPLATE_DOMAIN)),  _g (__('Custom Homepage', TEMPLATE_DOMAIN)),  'edit_theme_options', 'custom-homepage.php', 'wpmudev_custom_homepage_admin');
}
add_action('admin_menu', 'wpmudev_custom_homepage_page');





?>